API Documentation Download OpenAPI specification

Get All Email Accounts

GEThttps://bll.titan.email/partner/listEmailAccounts

API to fetch list of email accounts for a Mail Order on Titan Mail Cloud Infra

Query parameters

titanOrderIdnumberrequired

The unique Titan order ID against which the domain is provisioned

Example: 1
includeDeletedAccountsbooleanoptional

If deleted accounts needs to be included. False by default.

Example: true
domainNamestringoptional

[Deprecated] The mail order name associated to the Titan order ID

Example: xyz.com
customerIdstringoptional

[Deprecated] unique id stored on your end for each customer

Example: abcd123

Responses

200OKapplication/json
reqIDstringrequired
Example: server.req.id
accountsobject[]
Show propertiesHide properties
domainNamestringoptional

The mail order name associated to the Titan order ID

Example: xyz.com
titanAccountIdnumberrequired

Unique account id at Titan's end

Example: 123
customerIdstringoptional

The customer ID associated to the Titan order ID

Example: qwe123
emailstring

The email address for which the details are being provided

namestring

This is the name of the user associated to the email account provided

firstNamestringoptional

The first name of the customer for whom the email address is being created.

Example: James
lastNamestringoptional

The last name of the customer for whom the email address is being created.

Example: Bond
alternateEmailAddressstring

Alternate email address associated to the email account provided

statusstring · enum

The current status of the email account.

Example: active
Possible values: active suspended deleted
storageUsednumber
storageLimitnumber
isAdminboolean
purgeAtstringoptional

In yyyy-MM-dd format. All the account data would be purged from Titan's system permanently on this date. Account is expected to be in the deleted state and not already purged.

Example: 2024-02-20
addonSubscriptionsobject[]
Show propertiesHide properties
typestring
Example: storage_addon, email_backup
400BAD_REQUEST
  • domain status is not in active or suspension state.
See General Errors for other errors that this API can return.
GET/partner/listEmailAccounts
curl 'https://bll.titan.email/partner/listEmailAccounts?titanOrderId=1&includeDeletedAccounts=true&domainName=xyz.com&customerId=abcd123' \
  --header 'Authorization: API.Key'
Response
{
  "reqID": "server.req.id",
  "accounts": [
    {
      "domainName": "xyz.com",
      "titanAccountId": 123,
      "customerId": "qwe123",
      "email": "string",
      "name": "string",
      "firstName": "James",
      "lastName": "Bond",
      "alternateEmailAddress": "string",
      "status": "active",
      "storageUsed": 0,
      "storageLimit": 0,
      "isAdmin": true,
      "purgeAt": "2024-02-20",
      "addonSubscriptions": [
        {
          "type": "storage_addon, email_backup"
        }
      ]
    }
  ]
}